%define _disable_ld_no_undefined 1

%define date 20180523
#define git 05cef1d
%define bdir 3.4

%define major 3
%define libname %mklibname ndpi %{major}
%define develname %mklibname ndpi -d
%define static %mklibname ndpi -s -d

%define rel 2

Summary:	Open source deep packet inspection
Name:		libndpi
Version:	3.4
Release:	%mkrel %{?git:0.git%{date}.}%{rel}
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.ntop.org/products/ndpi/
Source0:	https://github.com/ntop/nDPI/archive/%{bdir}/%{name}-%{version}%{?git:git%date-%git}.tar.gz
Patch1:		ndpi-2.2-dont-configure.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	json-c-devel
BuildRequires:	pcap-devel

%description
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

%package -n	%{static}
Summary:	Open source deep packet inspection static library
Group:		System/Libraries
Provides:	ndpi-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel

%description -n	%{static}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the static %{name} library.

%package -n	%{libname}
Summary:	Open source deep packet inspection library
Group:          System/Libraries
Obsoletes:	%{mklibname ndpi 1} < 1.6.0

%description -n	%{libname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for nDPI
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.


These are the header files and libraries for developing applications for %{name}.

%prep
%setup -q -n nDPI-%{bdir}
%autopatch -p1

sed -i src/lib/Makefile.in -e "s|^prefix *= .*|prefix = %{_prefix}|" -e "s|^libdir *= .*|libdir = %{_libdir}|"

%build
export LIBS="-lpthread"
export DESTDIR=%{buildroot}
./autogen.sh
%configure \
	--enable-shared \
	--enable-static

%make_build

%install
%make_install DESTDIR=%{buildroot}

%files
%{_bindir}/ndpiReader
%{_datadir}/ndpi/

%files -n %{libname}
%doc README* COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README* CHANGELOG.md example
%{_includedir}/ndpi/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %{static}
%{_libdir}/*.*a


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 3.4-2.mga9
+ Revision: 1834125
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 neoclust <neoclust> 3.4-1.mga8
+ Revision: 1663773
- New version 3.4 ( fixes CVE-2020-15475)

* Fri Feb 14 2020 umeabot <umeabot> 2.6-2.mga8
+ Revision: 1521428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 23 2018 kekepower <kekepower> 2.6-1.mga7
+ Revision: 1344723
- Update to version 2.6
- Rediffed Patch4
- Removed unneeded Patch5

* Fri Nov 30 2018 wally <wally> 2.4.0-3.mga7
+ Revision: 1336903
- add patch to add SONAME

* Mon Oct 08 2018 pterjan <pterjan> 2.4.0-2.mga7
+ Revision: 1318590
- Fix .so symlink
- Fix release

* Mon Oct 08 2018 pterjan <pterjan> 2.4.0-1.mga7
+ Revision: 1318566
- Update to 2.4

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-0.git20180523.2.mga7
+ Revision: 1299033
- Mageia 7 Mass Rebuild

* Wed May 23 2018 kekepower <kekepower> 2.3.0-0.git20180523.1.mga7
+ Revision: 1231867
- Update to release 20180523
- Rediffed ndpi-2.3-dev-bump-soname.patch

* Wed Apr 25 2018 kekepower <kekepower> 2.3.0-0.git20180424.1.mga7
+ Revision: 1222213
- Update to git20180424-7798b96

* Tue Apr 03 2018 kekepower <kekepower> 2.3.0-0.git20180403.1.mga7
+ Revision: 1214996
- Update to nightly git20180403
- Add the correct gitrev, git20180305-3aaae46

* Tue Mar 13 2018 kekepower <kekepower> 2.3.0-0.git20180305.1.mga7
+ Revision: 1209071
- Update to version git20180305-e935ee7

* Wed Feb 21 2018 kekepower <kekepower> 2.3.0-0.git20180221.2.mga7
+ Revision: 1204013
- Added two more header files

* Wed Feb 21 2018 kekepower <kekepower> 2.3.0-0.git20180221.1.mga7
+ Revision: 1203995
- Rediffed patch for new version
- Update to git20180221-e935ee7

* Sun Feb 18 2018 kekepower <kekepower> 2.3.0-0.git20180218.1.mga7
+ Revision: 1202766
- Update to version 2.3.0-0.git20180218
- Remove clang and clang-devel BR
- Rediff ndpi-2.2-dont-configure.patch

* Mon Feb 12 2018 kekepower <kekepower> 2.3.0-0.git20180212.1.mga7
+ Revision: 1200726
- Update to git20180212-df54e8b

* Tue Feb 06 2018 kekepower <kekepower> 2.3.0-0.git20180204.1.mga7
+ Revision: 1199332
- Update to git20180206-ea74d87

* Sat Feb 03 2018 kekepower <kekepower> 2.3.0-0.git20180131.1.mga7
+ Revision: 1198661
- Update to 2.3.0 gitf8c6e9d
- Added BR for clang
- Added a static-devel package that is needed by ntopng
- Rediffed patches
- Added a patch to autogen.sh so that it doesn't configure automatically

* Wed Jan 31 2018 kekepower <kekepower> 1.8.0-1.mga7
+ Revision: 1198260
- Update to version 1.8.0
- Rediffed 2 patches for the new version
- Removed json-c-use-system.patch since it has been included upstream
- General fixes in the spec file

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.6.0-2.mga6
+ Revision: 956293
- obsolete lib package from duplicate ndpi srpm

* Wed Nov 11 2015 oden <oden> 1.6.0-1.mga6
+ Revision: 902527
- 1.6.0
- sync patches with debian
- imported package libndpi

